### Method

# Gtk TreeViewget_columns

deprecated: 4.10

#### Declaration [src]

    GList*
    gtk_tree_view_get_columns (
      GtkTreeView* tree_view
    )

#### Description [src]

Returns a `GList` of all the `GtkTreeViewColumn`s currently in `tree_view`. The returned list must be freed with g_list_free ().

Deprecated since: 4.10

Use `GtkListView` or `GtkColumnView` instead.

#### Return value

Type: A list of `GtkTreeViewColumn*`

A list of `GtkTreeViewColumn`s.

The caller of the method takes ownership of the data container, but not the data inside it.